### Property

# WebKit WebExtension:requested-permissions

since: 2.52

#### Declaration

    property requested-permissions: string[] [ read ]

#### Description [src]

The set of permissions that the `WebKitWebExtension` requires for its base functionality. See `webkit_web_extension_get_requested_permissions()` for more details.

Type:An array of `char*`

Available since: 2.52

Getter method | `webkit_web_extension_get_requested_permissions()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no